Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # image_view.hpp File Reference ## Detailed Description image view class Author: Lubomir Bourdev and Hailin Jin Adobe Systems Incorporated Date: 2005-2007 Last updated on February 12, 2007 `#include <cstddef>` `#include <iterator>` `#include "gil_config.hpp"` `#include "iterator_from_2d.hpp"` Go to the source code of this file.
## Namespaces
namespace | boost
namespace | boost::gil
## Classes
class | image_view
| A lightweight object that interprets memory as a 2D array of pixels. Models ImageViewConcept,PixelBasedConcept,HasDynamicXStepTypeConcept,HasDynamicYStepTypeConcept,HasTransposedTypeConcept. More...
## Functions
template<typename L2>
void | swap (image_view< L2 > &x, image_view< L2 > &y)